Bug 36594 - Library hours display issues
Summary: Library hours display issues
Status: NEW
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: Main
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 6796
Blocks:
  Show dependency treegraph
 
Reported: 2024-04-12 12:01 UTC by Tomás Cohen Arazi
Modified: 2024-05-30 00:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2024-04-12 12:01:17 UTC
There are some glitches on the libraries table:

* If not defined, the string literal 'null' is displayed
* If you set 9:00 as the opening hour, 09:00::00 is displayed

The feature authors need to:

* Find a good approach to undefined values here (do we need to display days when the library is not open?)
* Use the formatting tools to display time correctly.
Comment 1 Katrin Fischer 2024-04-13 11:16:53 UTC
+1 thank you for filing.
Comment 2 Martin Renvoize 2024-04-15 17:27:26 UTC
This is one of the things I was getting at when I said we really need to link the closed days and the opening hours functionalities.. For regular closed days we shouldn't display opening hours at all.. just mark the whole day as closed in that row.

The other time output I would be keen to have fixed too and agree.
Comment 3 David Nind 2024-05-30 00:33:41 UTC
I can confirm the display issues.

To replicate:
1. Go to Koha administration > Basic parameters > Libraries
2. Edit any library.
3. Submit (without making any changes).
4. In the library hours column, all days are displayed with null
5. If you select a time for opening or closing, it displays with seconds, for example: 08:00:00

In addition, I have these suggestions (maybe separate bugs?):
1. Column headings: maybe change 'Open time' and 'Close time' to 'Opens' and 'Closes'. Or maybe 'Opening time' and 'Closing time' - realising that column width is at a premium, and not sure how this affects translation.
2. Option to select that the library is closed for the day, and displays in the table as 'Closed'
3. Option to organise the order of the day column - displays as Sunday to Monday, which I think is an American convention. Here in New Zealand, the first day of the week is Monday.